Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

FieldStorage.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\FieldType;
8
9 use eZ\Publish\SPI\Persistence\Content\Field;
10 use eZ\Publish\SPI\Persistence\Content\VersionInfo;
11
28 interface FieldStorage
29 {
63 public function storeFieldData(VersionInfo $versionInfo, Field $field, array $context);
64
75 public function getFieldData(VersionInfo $versionInfo, Field $field, array $context);
76
87 public function deleteFieldData(VersionInfo $versionInfo, array $fieldIds, array $context);
88
94 public function hasFieldData();
95
107 public function getIndexData(VersionInfo $versionInfo, Field $field, array $context);
108 }
eZ\Publish\SPI\Persistence\Content\Field
Definition: SPI/Persistence/Content/Field.php:12
eZ\Publish\SPI\Persistence\Content\VersionInfo
This class holds version information data.
Definition: SPI/Persistence/Content/VersionInfo.php:15
eZ\Publish\SPI\FieldType\FieldStorage
Interface for setting field type data.
Definition: FieldStorage.php:29
eZ\Publish\SPI\FieldType\FieldStorage\hasFieldData
hasFieldData()
Checks if field type has external data to deal with.
eZ\Publish\SPI\FieldType\FieldStorage\getFieldData
getFieldData(VersionInfo $versionInfo, Field $field, array $context)
Populates $field value property based on the external data.
eZ\Publish\SPI\FieldType\FieldStorage\deleteFieldData
deleteFieldData(VersionInfo $versionInfo, array $fieldIds, array $context)
Deletes field data for all $fieldIds in the version identified by $versionInfo.
eZ\Publish\SPI\FieldType\FieldStorage\storeFieldData
storeFieldData(VersionInfo $versionInfo, Field $field, array $context)
Allows custom field types to store data in an external source (e.g.
eZ\Publish\SPI\FieldType\FieldStorage\getIndexData
getIndexData(VersionInfo $versionInfo, Field $field, array $context)
Get index data for external data for search backend.
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.